Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.transport
Class MuleUniversalTransport

    java.lang.Object
      org.apache.cxf.transport.AbstractTransportFactory
          org.mule.module.cxf.transport.MuleUniversalTransport

All Implemented Interfaces:
  org.apache.cxf.transport.ConduitInitiator, org.apache.cxf.transport.DestinationFactory, org.apache.cxf.wsdl11.WSDLEndpointFactory

    public class MuleUniversalTransport

extends org.apache.cxf.transport.AbstractTransportFactory
implements org.apache.cxf.transport.ConduitInitiator, org.apache.cxf.transport.DestinationFactory, org.apache.cxf.wsdl11.WSDLEndpointFactory

Field Summary
`static String` | `TRANSPORT_ID`

Constructor Summary
`MuleUniversalTransport(CxfConfiguration connector)`

Method Summary
`org.apache.cxf.service.model.EndpointInfo` | `createEndpointInfo(org.apache.cxf.service.model.ServiceInfo serviceInfo, org.apache.cxf.service.model.BindingInfo b, javax.wsdl.Port port)`
`void` | `createPortExtensors(org.apache.cxf.service.model.EndpointInfo ei, org.apache.cxf.service.Service service)`
`org.apache.cxf.Bus` | `getBus()`
`org.apache.cxf.transport.Conduit` | `getConduit(org.apache.cxf.service.model.EndpointInfo ei)`
`org.apache.cxf.transport.Conduit` | `getConduit(org.apache.cxf.service.model.EndpointInfo ei, org.apache.cxf.ws.addressing.EndpointReferenceType target)`
`CxfConfiguration` | `getConnector()`
`org.apache.cxf.transport.Destination` | `getDestination(org.apache.cxf.service.model.EndpointInfo ei)`
`protected org.apache.cxf.transport.Destination` | `getDestination(org.apache.cxf.service.model.EndpointInfo ei, org.apache.cxf.ws.addressing.EndpointReferenceType reference)`
`Set<String>` | `getUriPrefixes()`
`void` | `setBus(org.apache.cxf.Bus bus)`

Methods inherited from class org.apache.cxf.transport.AbstractTransportFactory
`getTransportIds, register, setTransportIds, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cxf.transport.ConduitInitiator
`getTransportIds`

Methods inherited from interface org.apache.cxf.transport.DestinationFactory
`getTransportIds`

Field Detail

### TRANSPORT_ID

    public static final String TRANSPORT_ID

See Also:
  Constant Field Values

Constructor Detail

### MuleUniversalTransport

    public MuleUniversalTransport(CxfConfiguration connector)

Method Detail

### getDestination

    public org.apache.cxf.transport.Destination getDestination(org.apache.cxf.service.model.EndpointInfo ei)
                                                        throws IOException

  Specified by:
    `getDestination` in interface `org.apache.cxf.transport.DestinationFactory`
  Throws:
    `IOException`

### getDestination

    protected org.apache.cxf.transport.Destination getDestination(org.apache.cxf.service.model.EndpointInfo ei,
                                                                  org.apache.cxf.ws.addressing.EndpointReferenceType reference)
                                                           throws IOException

  Throws:
    `IOException`

### getConduit

    public org.apache.cxf.transport.Conduit getConduit(org.apache.cxf.service.model.EndpointInfo ei)
                                                throws IOException

  Specified by:
    `getConduit` in interface `org.apache.cxf.transport.ConduitInitiator`
  Throws:
    `IOException`

### getConduit

    public org.apache.cxf.transport.Conduit getConduit(org.apache.cxf.service.model.EndpointInfo ei,
                                                       org.apache.cxf.ws.addressing.EndpointReferenceType target)
                                                throws IOException

  Specified by:
    `getConduit` in interface `org.apache.cxf.transport.ConduitInitiator`
  Throws:
    `IOException`

### getUriPrefixes

    public Set<String> getUriPrefixes()

  Specified by:
    `getUriPrefixes` in interface `org.apache.cxf.transport.ConduitInitiator`
  Specified by:
    `getUriPrefixes` in interface `org.apache.cxf.transport.DestinationFactory`
  Overrides:
    `getUriPrefixes` in class `org.apache.cxf.transport.AbstractTransportFactory`

### getBus

    public org.apache.cxf.Bus getBus()

  Overrides:
    `getBus` in class `org.apache.cxf.transport.AbstractTransportFactory`

### setBus

    public void setBus(org.apache.cxf.Bus bus)

  Overrides:
    `setBus` in class `org.apache.cxf.transport.AbstractTransportFactory`

### getConnector

    public CxfConfiguration getConnector()

### createPortExtensors

    public void createPortExtensors(org.apache.cxf.service.model.EndpointInfo ei,
                                    org.apache.cxf.service.Service service)

  Specified by:
    `createPortExtensors` in interface `org.apache.cxf.wsdl11.WSDLEndpointFactory`

### createEndpointInfo

    public org.apache.cxf.service.model.EndpointInfo createEndpointInfo(org.apache.cxf.service.model.ServiceInfo serviceInfo,
                                                                        org.apache.cxf.service.model.BindingInfo b,
                                                                        javax.wsdl.Port port)

  Specified by:
    `createEndpointInfo` in interface `org.apache.cxf.wsdl11.WSDLEndpointFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.